import request, {useGet, usePost, usePut, useDelete } from '~@/utils/request.js'


export function getListApi(params) {
  return useGet('/v1/gatewayIp/get', params)
}

export function createApi(data) {
  return usePost('/v1/gatewayIp/add', data)
}

export function updateApi(data) {
  return usePut('/v1/gatewayIp/edit', data)
}

export function deleteApi(id) {
  return useDelete('/v1/gatewayIp/del', { id })
}